## class DatabaseRequestHandler

> callback for managing database paging, such as generated by PagedLOD nodes

## Inheritance:

### Public Methods

virtual void requestNodeFile(const std::string& fileName, osg::Group* group) = 0

### Protected Methods

virtual ~DatabaseRequestHandler()

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> callback for managing database paging, such as generated by PagedLOD nodes

`virtual void requestNodeFile(const std::string& fileName, osg::Group* group) = 0`

`virtual ~DatabaseRequestHandler()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.